Conversations

Get conversations from a given bot

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

List all conversations ( a conversation is unique for one interlocutor ) made with the bot

🚧

Private API key needed

This endpoint can only be used with your private API key, accessible in the API tab of your bot settings.

Response

Returns a list of Conversation Element.

AttributeTypeDescription
data[].interlocutorInterlocutorAn Interlocutor object
data[].extract[]list of Conversation ElementA list of the last 'extract_limit' Conversation Element of the conversation
data[].countIntegerNumber of Conversation Element made by this interlocutor
data[].userRequestsTodoCountIntegerNumber of userRequest open by this interlocutor still in TODO state
{
    "data": [
          {
              "interlocutor": {
                "type": "interlocutor",
               ...
                "lastReplyAt": "2019-03-11T17:02:41+0000"
            },
            "extract": [
                {
                    "interlocutor_id": "5c58414ffd43ca0010fa1ae1",
                    "timestamp": 1557157686,
                    "bot_id": "5bfe9b243422d7000e046da8",
                    "input_source": {
                        "type": "interlocutor",
                        "interlocutor_id": "5c58414ffd43ca0010fa1ae1"
                    },
                    "output_source": {
                        "type": "bot",
                        "bot_id": "5bfe9b243422d7000e046da8"
                    },
                    "input_action": {
                        "source": {
                            "type": "interlocutor",
                            "interlocutor_id": "5c58414ffd43ca0010fa1ae1"
                        },
                        "action": {
                            "type": "text",
                            "message": "hello robot"
                        }
                    },
                    "output_actions": [
                        {
                            "source": {
                                "type": "actions_block",
                                "actions_block_id": "5bfe9b25e6b7bb0009914338"
                            },
                            "actions": [
                                {
                                    "action": {
                                        "type": "wait_action",
                                        "duration": 2
                                    },
                                    "parent_actions": []
                                },
                                {
                                    "action": {
                                        "type": "send_text_action",
                                        "alternatives": [
                                            "Hello you.\n"
                                        ],
                                        "text": "Hello you.\n"
                                    },
                                    "parent_actions": []
                                },
                                {
                                    "action": {
                                        "type": "wait_action",
                                        "duration": 2
                                    },
                                    "parent_actions": []
                                },
                                {
                                    "action": {
                                        "type": "send_text_action",
                                        "alternatives": [
                                            "How do you do ?"
                                        ],
                                        "text": "How do you do ?"
                                    },
                                    "parent_actions": []
                                }
                            ]
                        }
                    ]
                },
              	...
            ],
            "count": 24,
            "userRequestsTodoCount": 0
        }
    ],
    "pagination": {
        "page": 1,
        "objectsCount": 10,
        "pagesCount": 1,
        "limit": 1
    }
}
Path Params
string
required

A bot ID

Query Params
int32
Defaults to 1

Page of elements

int32
Defaults to 30

Number of returns elements

int32
Defaults to 2

Number of user interactions to get as extact of its conversation, on each conversation item

boolean
Defaults to true

If true, retrive only text user interaction in the extract, not the button_action

float

Timestamp to filter the conversations where the last message was made after this time

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json